Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.fill
Class JRContinuationSubreportRunnerFactory

    java.lang.Object
      net.sf.jasperreports.engine.fill.JRContinuationSubreportRunnerFactory

All Implemented Interfaces:
  JRSubreportRunnerFactory

    public class JRContinuationSubreportRunnerFactory

extends java.lang.Object
implements JRSubreportRunnerFactory

`JRContinuationSubreportRunner` subreport runners factory.

Version:
  $Id: JRContinuationSubreportRunnerFactory.java 3034 2009-08-27 11:58:04Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Field Summary

Fields inherited from interface net.sf.jasperreports.engine.fill.JRSubreportRunnerFactory
`SUBREPORT_RUNNER_FACTORY`

Constructor Summary
`JRContinuationSubreportRunnerFactory()`

Method Summary
`JRSubreportRunner` | `createSubreportRunner(JRFillSubreport fillSubreport, JRBaseFiller subreportFiller)` Creates a new `JRSubreportRunner` instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRContinuationSubreportRunnerFactory

    public JRContinuationSubreportRunnerFactory()

Method Detail

### createSubreportRunner

    public JRSubreportRunner createSubreportRunner(JRFillSubreport fillSubreport,
                                                   JRBaseFiller subreportFiller)

  Description copied from interface: `JRSubreportRunnerFactory`
  Creates a new `JRSubreportRunner` instance.

  Specified by:
    `createSubreportRunner` in interface `JRSubreportRunnerFactory`
  Parameters:
    `fillSubreport` - the subreport element of the master report
    `subreportFiller` - the subreport filler created to fill the subreport
  Returns:
    a new `JRSubreportRunner` instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com